
ifndef _BSTRING_
define _BSTRING_

include <syssocompat.h>

ifdef __BTOSC__
*
 * PASCAL Binding
 *
int  PlmFar(BCMP)   (void *b1,  void *b2, unsigned int len);
void PlmFar(BCOPY)  (const void *src,  void *dst, unsigned int len);
void PlmFar(BZERO)  (const void *b, unsigned int len);
long PlmFar(FFS)    (long i);

define bcmp  BCMP
define bcopy BCOPY
define bzero BZERO
define ffs   FFS

elif __CTOS__
*
 * C Binding
 *
int  bcmp   (void *b1,  void *b2, unsigned int len);
void bcopy  (const void *src,  void *dst, unsigned int len);
void bzero  (const void *b, unsigned int len);
long ffs    (long i);

endif

endif
